
ISIS - Bug #4435

Bug in VariableLineScanDetectorMap::SetDetector(const double sample, const double line) method

2016-10-03 03:36 PM - Kenneth Edmundson

Status: Closed   

Priority: Normal   

Assignee: Jean Backer   

Category: API   

Target version: 3.5.0 (FY17 R1 2017-01-25 Jan)   

Impact: This will only affect cameras with a

variable line scan rate. This will allow

programs to find the correct line rate for

the currently set line. This fix is not

expected to change results in most

cases.

Software Version:  

Description

In accessing the variable line rate table by ephemeris time, the code is subracting 0.5 seconds

while(rateIndex >= 0 && currEt < p_lineRates[rateIndex].GetStartEt() - **0.5**) {

  rateIndex --;

}

 

this was probably copy/pasted from the ::SetParent method below which accesses the table by line

This is likely only impacting HRSC.

History

#1 - 2016-10-03 05:13 PM - Lynn Weller

Maybe M3 as well, but Stuart would know better.

#3 - 2016-10-10 01:28 PM - Tammy Becker

- Status changed from New to Acknowledged

#4 - 2016-10-27 12:35 PM - Jean Backer

- Assignee set to Jean Backer

#5 - 2016-10-27 12:38 PM - Jean Backer

- Status changed from Acknowledged to In Progress

- Impact updated

#6 - 2016-10-27 12:38 PM - Jean Backer

- Status changed from In Progress to Resolved

#7 - 2016-10-27 03:07 PM - Kenneth Edmundson

- Status changed from Resolved to Closed
